Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.controls
Class TableViewerColumnBuilder

    java.lang.Object
      org.eclipse.emf.ecp.edit.internal.swt.controls.TableViewerColumnBuilder

    public class TableViewerColumnBuilder

extends Object

Author:
  emueller

Constructor Summary
`TableViewerColumnBuilder()`

Method Summary
`org.eclipse.jface.viewers.TableViewerColumn` | `build(org.eclipse.jface.viewers.TableViewer tableViewer)`
`static TableViewerColumnBuilder` | `create()`
`TableViewerColumnBuilder` | `setData(String key, Object value)`
`TableViewerColumnBuilder` | `setMoveable(boolean isMoveable)`
`TableViewerColumnBuilder` | `setResizable(boolean isResizable)`
`TableViewerColumnBuilder` | `setStyle(int style)`
`TableViewerColumnBuilder` | `setText(String text)`
`TableViewerColumnBuilder` | `setToolTipText(String tooltip)`
`TableViewerColumnBuilder` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableViewerColumnBuilder

    public TableViewerColumnBuilder()

Method Detail

### create

    public static TableViewerColumnBuilder create()

### setText

    public TableViewerColumnBuilder setText(String text)

### setToolTipText

    public TableViewerColumnBuilder setToolTipText(String tooltip)

### setResizable

    public TableViewerColumnBuilder setResizable(boolean isResizable)

### setMoveable

    public TableViewerColumnBuilder setMoveable(boolean isMoveable)

### setData

    public TableViewerColumnBuilder setData(String key,
                                            Object value)

### setStyle

    public TableViewerColumnBuilder setStyle(int style)

### setWidth

    public TableViewerColumnBuilder setWidth(int width)

### build

    public org.eclipse.jface.viewers.TableViewerColumn build(org.eclipse.jface.viewers.TableViewer tableViewer)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.